Subject: [bug#55516] [PATCH] gnu: Add quod-libet.

From: Remco van 't Veer <[email-masked]>
Date: Sat, 28 May 2022 10:55:38 +0200

2022/05/27 23:54, Ludovic Courtès:

> This is the crux of the problem.  I searched a bit on the intertubes and
> the xorg-server code couldn’t find under what circumstances Xvfb would
> get SIGTRAP.

Just looked at it again and it wasn't xvfb getting a sigtrap but it was
the python test process and I managed to reproduce it in a shell
session.  After some tracing, I finally got the real error message:

 GLib-GIO-ERROR: Settings schema 'org.gnome.system.proxy' is not installed

Adding gsettings-desktop-schemas as an input fixed that!  Hurray!

I'll push out a v2 patch after this email.

Jaft, I am really sorry about hijacking your work, but I am so happy the
tests finally run, I can't contain myself..

Cheers,
Remco